supermin (5.2.2-8+ocaml1) trixie-backports-ocaml; urgency=medium

  * Rebuild for transition ocaml-5.4.1

 -- Anonymous Builder <builder@example.org>  Fri, 24 Apr 2026 23:33:02 +0200

supermin (5.2.2-8) unstable; urgency=medium

  * Remove obsolete "Breaks" constraint
  * Limit libguestfs-dev build-dependency to 32bit architectures
    (Closes: #1131833)

 -- Hilko Bengen <bengen@debian.org>  Sat, 28 Mar 2026 11:28:03 +0100

supermin (5.2.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on ocaml instead of transitional ocaml-nox (Closes:
    #1125114)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Jan 2026 09:09:29 +0100

supermin (5.2.2-7) unstable; urgency=medium

  * Bump Standards-Version, Debhelper compat level
  * Add upstream patch to support zstd-compressed kernel modules
    (Closes: #1082404)
  * Add Lintian override

 -- Hilko Bengen <bengen@debian.org>  Wed, 12 Nov 2025 22:40:38 +0100

supermin (5.2.2-6) unstable; urgency=medium

  * Remove kernel build-dependency for i386
  * Update build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Feb 2025 16:15:42 +0100

supermin (5.2.2-5) unstable; urgency=medium

  * Fix build with OCaml 5.x.
    Thanks to Stéphane Glondu (Closes: #1074548)

 -- Hilko Bengen <bengen@debian.org>  Fri, 16 Aug 2024 02:39:35 +0200

supermin (5.2.2-4) unstable; urgency=medium

  * Improve example in manual page
  * Add patch to resolve virtual packages in dependencies (Closes: #1065659)

 -- Hilko Bengen <bengen@debian.org>  Tue, 12 Mar 2024 00:34:48 +0100

supermin (5.2.2-3) unstable; urgency=medium

  * Don't use broken musl-gcc on mips64el (see #1050429)
  * Fix libext2fs-dev build-depends

 -- Hilko Bengen <bengen@debian.org>  Mon, 08 Jan 2024 10:42:33 +0100

supermin (5.2.2-2) unstable; urgency=medium

  * Add -rpi kernel fr armel
  * Add loong64-specific dependencies.
    Thanks to Dandan Zhang (Closes: #1060136)
  * Use musl-gcc on more architectures
  * Ensure that package can be rebuilt from source after successful build
    (Closes: #1048907)

 -- Hilko Bengen <bengen@debian.org>  Sun, 07 Jan 2024 23:25:08 +0100

supermin (5.2.2-1) unstable; urgency=medium

  * New upstream version 5.2.2
  * Add test-only Build-dependency for libguestfs-tools
  * Drop patch that has been integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Sat, 05 Mar 2022 10:14:07 +0100

supermin (5.2.1-6) unstable; urgency=medium

  * Add kernel build-depends/recommends for x32
    - (This might fix the FTBFS on x32, not that it matters at this
      point.)
  * Require kernel-image-* only for builds including tests.

 -- Hilko Bengen <bengen@debian.org>  Thu, 02 Sep 2021 21:53:27 +0200

supermin (5.2.1-5) unstable; urgency=medium

  [ Simon McVittie ]
  * d/rules: Specify canonical paths of cpio, mke2fs, zcat
    (Closes: #992781)

 -- Hilko Bengen <bengen@debian.org>  Mon, 23 Aug 2021 14:26:58 +0200

supermin (5.2.1-4) unstable; urgency=medium

  * Fix FTBFS

 -- Hilko Bengen <bengen@debian.org>  Sun, 07 Feb 2021 15:05:21 +0100

supermin (5.2.1-3) unstable; urgency=medium

  * Don't strip supermin binary on architectures where the OCaml
    compiler only has e bytecode backend (Closes: #982143)

 -- Hilko Bengen <bengen@debian.org>  Sun, 07 Feb 2021 13:02:55 +0100

supermin (5.2.1-2) unstable; urgency=medium

  * Add upstream patch to fix FTBFS on 32bit architectures

 -- Hilko Bengen <bengen@debian.org>  Wed, 03 Feb 2021 11:32:27 +0100

supermin (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1

 -- Hilko Bengen <bengen@debian.org>  Tue, 02 Feb 2021 22:59:30 +0100

supermin (5.2.0-2) unstable; urgency=medium

  * Don't dwz supermin binary (Closes: #968476)

 -- Hilko Bengen <bengen@debian.org>  Sun, 30 Aug 2020 22:29:40 +0200

supermin (5.2.0-1) unstable; urgency=medium

  * Update watch file
  * New upstream version 5.2.0

 -- Hilko Bengen <bengen@debian.org>  Tue, 10 Mar 2020 21:20:07 +0100

supermin (5.1.20-2) unstable; urgency=medium

  * Add missing kernel build depends, recommends for 2 ports
    architectures: ia64, riscv64

 -- Hilko Bengen <bengen@debian.org>  Mon, 13 Jan 2020 23:52:30 +0100

supermin (5.1.20-1) unstable; urgency=medium

  * New upstream version 5.1.20
  * Bump Debhelper compat level
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 21 Jan 2019 14:09:38 +0100

supermin (5.1.19-4) unstable; urgency=medium

  * Add Recommends for linux-image packages (Closes: #914413)
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 26 Nov 2018 22:25:08 +0100

supermin (5.1.19-3) unstable; urgency=medium

  * Bump Standards-Version
  * Update Vcs-* URLs to Salsa
  * Update watch file URL

 -- Hilko Bengen <bengen@debian.org>  Fri, 24 Aug 2018 09:38:48 +0200

supermin (5.1.19-2) unstable; urgency=medium

  * Add e2fsprogs to Build-Depends, Depends (Closes: #887182)
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Mon, 15 Jan 2018 12:20:05 +0100

supermin (5.1.19-1) unstable; urgency=medium

  * New upstream version 5.1.19
  * Reorder kernel build-dependencies for i386 architecture
  * Remove unneeded chmod
  * Drop febootstrap package
  * Modernize package: VCS URL, structured copyright file, drop explicit
    autoreconf

 -- Hilko Bengen <bengen@debian.org>  Wed, 20 Sep 2017 10:51:28 +0200

supermin (5.1.18-1) unstable; urgency=medium

  * New upstream version 5.1.18
  * Drop patches that have been integrated upstream
  * Modernize package: Bump Standards-Version, Debhelper compat level

 -- Hilko Bengen <bengen@debian.org>  Fri, 14 Jul 2017 07:13:44 +0200

supermin (5.1.17-8) unstable; urgency=medium

  * Don't build init using musl on MIPS architectures due to toolchain
    breakage (Closes: #859656)

 -- Hilko Bengen <bengen@debian.org>  Sat, 15 Apr 2017 17:21:10 +0200

supermin (5.1.17-7) unstable; urgency=medium

  * Introduce alternative kernel build-dependency (Closes: #851970)

 -- Hilko Bengen <bengen@debian.org>  Sun, 22 Jan 2017 15:39:12 +0100

supermin (5.1.17-6) unstable; urgency=medium

  * Fix build dependency for determining Built-Using (Closes: #850974)
  
 -- Hilko Bengen <bengen@debian.org>  Wed, 11 Jan 2017 19:53:12 +0100

supermin (5.1.17-5) unstable; urgency=medium

  * Remove links from febootstrap package (Closes: #850635)
  * Remove old NEWS, TODO items from debian/
  * Tweak Built-Using in an attempt to fix FTBFS on alpha

 -- Hilko Bengen <bengen@debian.org>  Mon, 09 Jan 2017 23:44:14 +0100

supermin (5.1.17-4) unstable; urgency=medium

  * Only disable PIE for the C-only static init program because doing
    so altogether would break OCaml+C at least on amd64.

 -- Hilko Bengen <bengen@debian.org>  Sat, 12 Nov 2016 15:35:41 +0100

supermin (5.1.17-3) unstable; urgency=medium

  * Add workaround for #843714 which caused FTBFS on some architectures

 -- Hilko Bengen <bengen@debian.org>  Sat, 12 Nov 2016 15:14:50 +0100

supermin (5.1.17-2) unstable; urgency=medium

  * Use musl on mips64el
  * Add patch so that we do not look for dpkg* in the wrong places

 -- Hilko Bengen <bengen@debian.org>  Fri, 11 Nov 2016 10:08:26 +0100

supermin (5.1.17-1) unstable; urgency=medium

  * New upstream version 5.1.17
  * Rebase patch

 -- Hilko Bengen <bengen@debian.org>  Wed, 02 Nov 2016 09:05:34 +0100

supermin (5.1.16-1) unstable; urgency=medium

  * Imported Upstream version 5.1.16

 -- Hilko Bengen <bengen@debian.org>  Thu, 28 Apr 2016 18:50:04 +0200

supermin (5.1.15-3) unstable; urgency=medium

  * Fix build on architectures without musl

 -- Hilko Bengen <bengen@debian.org>  Thu, 18 Feb 2016 20:13:57 +0100

supermin (5.1.15-2) unstable; urgency=medium

  * Build init with musl where available

 -- Hilko Bengen <bengen@debian.org>  Thu, 18 Feb 2016 18:34:28 +0100

supermin (5.1.15-1) unstable; urgency=medium

  * New upstream version
  * Drop zlib, lzma dependencies
  * Drop bin2s.pl-related patch

 -- Hilko Bengen <bengen@debian.org>  Thu, 18 Feb 2016 01:43:33 +0100

supermin (5.1.14-2) unstable; urgency=medium

  * Apply upstream change to bin2s.pl

 -- Hilko Bengen <bengen@debian.org>  Tue, 12 Jan 2016 21:31:42 +0100

supermin (5.1.14-1) unstable; urgency=medium

  * New upstream version
  * Add support for alpha, hppa, powerpc64, sparc64 architectures

 -- Hilko Bengen <bengen@debian.org>  Tue, 12 Jan 2016 08:02:46 +0100

supermin (5.1.13-3) unstable; urgency=medium

  * Put linux-image-586 to the front in the hope that sbuild's apt-based
    resolver gets it right.

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 May 2015 23:19:28 +0200

supermin (5.1.13-2) unstable; urgency=medium

  * Added linux-image-586 to Build-Dependencies as linux-image-486 has
    been removed from unstable

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 May 2015 20:47:05 +0200

supermin (5.1.13-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 May 2015 08:38:24 +0200

supermin (5.1.12-2) unstable; urgency=medium

  * Fixed FTBFS on mips64el (Closes: #756467)

 -- Hilko Bengen <bengen@debian.org>  Wed, 18 Mar 2015 23:01:10 +0100

supermin (5.1.12-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Mar 2015 10:49:43 +0100

supermin (5.1.11-1) unstable; urgency=medium

  * New upstream version
  * Bumped Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sun, 26 Oct 2014 10:41:59 +0100

supermin (5.1.10-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Fri, 12 Sep 2014 22:35:45 +0200

supermin (5.1.9-3) unstable; urgency=medium

  * Corrected ppc64el kernel name

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Aug 2014 23:57:57 +0200

supermin (5.1.9-2) unstable; urgency=medium

  * Added architecture-specific dependencies for arm64, ppc64el

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Aug 2014 21:16:13 +0200

supermin (5.1.9-1) unstable; urgency=medium

  * New upstream version
  * Dropped patch that was integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Jul 2014 14:12:46 +0200

supermin (5.1.8-2) unstable; urgency=medium

  * skip test-execstack.sh

 -- Hilko Bengen <bengen@debian.org>  Sat, 10 May 2014 13:14:52 +0200

supermin (5.1.8-1) unstable; urgency=medium

  * New upstream version
  * Dropped patches integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Fri, 09 May 2014 23:22:41 +0200

supermin (5.1.7-4) unstable; urgency=medium

  * Added hppa assembler patch by Helge Deller (Closes: #742797)

 -- Hilko Bengen <bengen@debian.org>  Fri, 09 May 2014 20:06:25 +0200

supermin (5.1.7-3) unstable; urgency=medium

  * Fixed internal error on short host_cpu names, added Debian-specific
    dtb path.

 -- Hilko Bengen <bengen@debian.org>  Mon, 28 Apr 2014 21:39:55 +0200

supermin (5.1.7-2) unstable; urgency=medium

  * Added patch to fix FTBFS on non-x86 platforms (Closes: #745724)

 -- Hilko Bengen <bengen@debian.org>  Sat, 26 Apr 2014 22:25:05 +0200

supermin (5.1.7-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Mon, 07 Apr 2014 09:00:10 +0200

supermin (5.1.6-2) unstable; urgency=medium

  * Upload to unstable

 -- Hilko Bengen <bengen@debian.org>  Sat, 29 Mar 2014 11:34:22 +0100

supermin (5.1.6-1) experimental; urgency=medium

  * New upstream version
  * Added more dependencies for running tests

 -- Hilko Bengen <bengen@debian.org>  Thu, 27 Mar 2014 15:25:46 +0100

supermin (5.1.5-1) experimental; urgency=medium

  * New upstream version
  * Improve package description

 -- Hilko Bengen <bengen@debian.org>  Thu, 13 Mar 2014 23:38:39 +0100

supermin (5.1.3-1) experimental; urgency=low

  * New upstream version
  * Cleared patch queue
  * Updated dependencies, build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Thu, 06 Mar 2014 18:53:45 +0100

supermin (5.1.2-2) experimental; urgency=low

  * Added Breaks statement for "older" libguestfs versions
  * Updated patch queue: Added multiarch fix

 -- Hilko Bengen <bengen@debian.org>  Tue, 04 Mar 2014 21:46:49 +0100

supermin (5.1.2-1) experimental; urgency=low

  * New upstream version
  * Fixed FTBFS on architectures without native OCaml compiler

 -- Hilko Bengen <bengen@debian.org>  Mon, 03 Mar 2014 09:12:41 +0100

supermin (5.1.1-1) experimental; urgency=low

  * New upstream version
  * Bumped Standards-Version, minor adjustments

 -- Hilko Bengen <bengen@debian.org>  Sat, 01 Mar 2014 16:51:49 +0100

supermin (4.1.6-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sun, 05 Jan 2014 18:06:16 +0100

supermin (4.1.5-3) unstable; urgency=low

  * Added Built-Using flag

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Oct 2013 12:31:19 +0200

supermin (4.1.5-2) unstable; urgency=low

  * Added build-dependencies for gz, lzma support
  * Updated TODO

 -- Hilko Bengen <bengen@debian.org>  Thu, 10 Oct 2013 14:37:44 +0200

supermin (4.1.5-1) unstable; urgency=low

  * New upstream version
  * Bumped Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sun, 08 Sep 2013 21:40:42 +0200

supermin (4.1.3-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Fri, 23 Aug 2013 20:42:28 +0200

supermin (4.1.2-1) unstable; urgency=low

  * New upstream version
  * Don't run tests that rely on network connectivity

 -- Hilko Bengen <bengen@debian.org>  Sat, 03 Aug 2013 17:31:24 +0200

supermin (4.1.1-3) unstable; urgency=low

  * Updated (hopefully) all relevant files in debian/ to reflect the
    febootstrap -> supermin name change (Closes: #707714)

 -- Hilko Bengen <bengen@debian.org>  Sat, 11 May 2013 16:25:19 +0200

supermin (4.1.1-2) unstable; urgency=low

  * debian/control: Updated long description, removed DM-Upload-Allowed
    header

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Apr 2013 23:34:20 +0200

supermin (4.1.1-1) unstable; urgency=low

  * New renamed upstream version
  * Introduced transitional package
  * configure.ac patch is no longer needed

 -- Hilko Bengen <bengen@debian.org>  Mon, 22 Apr 2013 21:52:31 +0200

febootstrap (3.21-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Fri, 04 Jan 2013 21:45:26 +0100

febootstrap (3.20-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Thu, 01 Nov 2012 13:52:31 +0100

febootstrap (3.18-1) unstable; urgency=low

  * New upstream version
  * [a14cc5b] Removed autoreconf patch in favor of dh-autoreconf
  * [c4c52a0] Rebased patch

 -- Hilko Bengen <bengen@debian.org>  Tue, 17 Jul 2012 20:20:48 +0200

febootstrap (3.17-1) unstable; urgency=low

  * New upstream version
  * [6944d1f] Switch to compat level 9 for hardening flags

 -- Hilko Bengen <bengen@debian.org>  Fri, 15 Jun 2012 09:25:22 +0200

febootstrap (3.15-1) unstable; urgency=low

  * New upstream version
  * [74d808a] Removed libext2fs-related patch that has been integrated
    upstream
  * [0a63302] Bumped Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 13 Jun 2012 18:33:36 +0200

febootstrap (3.14-2) unstable; urgency=low

  * [9df4595] Added upstream patch that fixes a libext2fs-related segfault

 -- Hilko Bengen <bengen@debian.org>  Wed, 04 Apr 2012 20:31:29 +0200

febootstrap (3.14-1) unstable; urgency=low

  * New upstream version
  * [b67dfe9] Rebased patch queue
  * [fa7a9c1] Added pkg-config to Build-Depends

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Mar 2012 14:38:11 +0200

febootstrap (3.13-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Mon, 13 Feb 2012 19:47:58 +0100

febootstrap (3.12-2) unstable; urgency=low

  * [6a9d6c8] Rebased patch queue, added workaround for duplicate entries
    in package list produced by apt in Ubuntu 12.04

 -- Hilko Bengen <bengen@debian.org>  Sun, 12 Feb 2012 18:15:30 +0100

febootstrap (3.12-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Wed, 19 Oct 2011 09:12:40 +0200

febootstrap (3.11-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sat, 15 Oct 2011 09:04:08 +0200

febootstrap (3.10-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Fri, 02 Sep 2011 09:01:19 +0200

febootstrap (3.9-1) unstable; urgency=low

  * New upstream version
  * [4c5e263] Removed portebility patches that have been accepted
    upstream.

 -- Hilko Bengen <bengen@debian.org>  Fri, 26 Aug 2011 19:44:37 +0200

febootstrap (3.8-2) unstable; urgency=low

  * [84f6849] Fixed two FTBFS issues (hopefully)

 -- Hilko Bengen <bengen@debian.org>  Thu, 25 Aug 2011 18:56:02 +0200

febootstrap (3.8-1) unstable; urgency=low

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Tue, 23 Aug 2011 19:31:33 +0200

febootstrap (3.7-2) unstable; urgency=low

  * restrict architecture to linux-*

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 Jul 2011 18:28:29 +0200

febootstrap (3.7-1) unstable; urgency=low

  * New upstream version
  * Removed two patches
  * added architectures to helper/elf-default-arch, try to build on all
    architectures.

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 Jul 2011 16:18:13 +0200

febootstrap (3.6-2) unstable; urgency=low

  * Passed the package to Pkg-libvirt Maintainers group
  * Restricted architectures to the architectures for which the
    autobuilders successfully built 3.6-1, added TODO items
  * Added two patches from upstream git repository
    - Translation of error conditions for the insmod routine
    - new module loading order pre-calculation routine

 -- Hilko Bengen <bengen@debian.org>  Wed, 29 Jun 2011 21:03:36 +0200

febootstrap (3.6-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Jun 2011 01:06:25 +0200

febootstrap (2.7-0.1) unstable; urgency=low

  * Non-maintainer upload - Acked by the maintainer.
  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - move Build-Depends-Indep to Build-Depends.
    - remove perl build dependency.
    - bump Standards-Version from 3.8.1 to 3.8.4 (no changes needed).
    - update Homepage field.
    - switch from Architecture: all to any (supermin binaries).
    - add required ${shlibs:Depends}.
    - bump Depends versions.
  * Switch debian/rules to dh usage.

 -- Fathi Boudra <fabo@debian.org>  Thu, 17 Jun 2010 10:59:27 +0300

febootstrap (2.1-4) unstable; urgency=low

  * Change section and priority.
  * Remove shlibs:Depends.
  * Remove presubj.
  * Remove dh_strip.
  * Remove dh_installexamples.
  * Remove other commented dh_* commands.
  * Remove CVS files by passing -I & -i options to dpkg-buildpackage.
  * Add debian/watch file.
  * Use Build-Depends-Indep instead of Build-Depends.
  * Change debian/copyright license information.

 -- Richard Jones <rjones@redhat.com>  Mon, 01 Jun 2009 16:20:51 +0100

febootstrap (2.1-3) unstable; urgency=low

  * Added presubj for reportbug.
  * Suggests filelight | gnome-utils.

 -- Richard Jones <rjones@redhat.com>  Tue, 26 May 2009 15:04:01 +0100

febootstrap (2.1-2) unstable; urgency=low

  * Suggests upx -> upx-nrv.
  * License Debian packaging under GPLv2+.
  * Remove shlibdeps, CFLAGS, LIBS, cross-compilation from rules.
  * Remove comments from debian/rules.

 -- Richard Jones <rjones@redhat.com>  Mon, 25 May 2009 10:06:54 +0100

febootstrap (2.1-1) unstable; urgency=low

  * Initial release (Closes: #530425)

 -- Richard Jones <rjones@redhat.com>  Sun, 24 May 2009 20:23:01 +0100
